- [FI printers via Samba](#org5818336)
  - [Advantages](#org22a6855)
  - [Disadvantages](#org5384368)
  - [Pre-requirements](#org6661b7a)
    - [Warning](#org6ececa6)
  - [Usage](#orgac578d6)
    - [Available printers](#org730ac8c)
  - [Repository structure](#org1ed4ba2)


<a id="org5818336"></a>

# FI printers via Samba

Script for installing faculty printers on Linux via Samba print server.


<a id="org22a6855"></a>

## Advantages

-   You can print on WiFi using Samba. (With unauthenticated IPP printing you are allowed to only print via Ethernet cable.)
-   You can add a FI printer to your existing CUPS instance. This way, you don&rsquo;t have to switch configurations.
-   You don&rsquo;t need to have the same login on your computer as your faculty login.


<a id="org5384368"></a>

## Disadvantages

-   Printers have to be installed one by one.
-   This is not the prefered way of printing on fi. (Prefered way is via Kerberos.)


<a id="org6661b7a"></a>

## Pre-requirements

-   root access (or sudo)
-   running local [CUPS](https://www.cups.org/) print server
-   Samba client (`smbclient`)
-   Python2 for `copy4a` and `copy5b`


<a id="org6ececa6"></a>

### Warning

If you are printing with unauthenticated IPP or Kerberized IPP, you will have to remove client configuration file for CUPS, which is located at `/etc/cups/client.conf`.


<a id="orgac578d6"></a>

## Usage

Usage: `./install.pl <printer-name>` , where `<printer-name>` is a valid printer name. For example, to install printer `lj2b` run

```shell
./install.pl lj2b
```

After running the script, you will be prompted for you faculty login(username and password).


<a id="org730ac8c"></a>

### Available printers

Currently available printers:

-   copy2a
-   copy3a
-   copy4a
-   copy4b
-   copy4c
-   copy5b
-   copy5c
-   lj2a
-   lj2b
-   lj3a
-   lj-a302
-   lj3b
-   lj4a
-   lj4c
-   lj4p
-   lj5c

You can find out more information on <https://www.fi.muni.cz/tech/unix/print.html>.


<a id="org1ed4ba2"></a>

## Repository structure

| File                     | Description                                      |
|------------------------ |------------------------------------------------ |
| `install.pl`             | main install script                              |
| `filters`                | folder with filters for CUPS                     |
| `ppds`                   | folder with PPDs for CUPS                        |
| `PyPDF2` and `reportlab` | folder with Python 2 dependencies for `TA5007ci` |
